Fetch a shipment
curl --request GET \
--url https://api.cf.ovrsea.com/v1/shipments/{ovrsea_shipment_id}import requests
url = "https://api.cf.ovrsea.com/v1/shipments/{ovrsea_shipment_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cf.ovrsea.com/v1/shipments/{ovrsea_shipment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "June Air Export USA",
"ovrsea_shipment_id": "CDEF",
"created_at": "2021-09-20T10:02:09+01:00",
"incoterm": "fob",
"route": {
"pickup_location_id": "23",
"origin_port_unlocode": "FR/FOS",
"destination_port_unlocode": "US/NYC",
"delivery_location_id": "45"
},
"cargo_ready_date": "2021-10-11",
"desired_delivery_date": "2021-10-11",
"specific_instructions": "<string>",
"cargo": {
"total_weight": {
"value": 350.25,
"unit": "kg"
},
"total_volume": {
"value": 10.25,
"unit": "cbm"
},
"total_teus": 5,
"containers": [
{
"container_number": "TEMU8667058",
"seal_number": 1332641,
"purchase_order_references": [
4500346155
]
}
],
"loads": [
{
"count": 3,
"weight": {
"value": 350.25,
"unit": "kg"
},
"volume_unit": "cm",
"length": {
"value": 10.25,
"unit": "cm"
},
"width": {
"value": 10.25,
"unit": "cm"
},
"height": {
"value": 10.25,
"unit": "cm"
}
}
]
},
"transported_goods": {
"goods_description": "Description of the shipped goods",
"is_stackable": true,
"is_hazardous": false,
"hazardous_description": "UN1993",
"contains_lithium": false,
"contains_magnets": false,
"needs_controlled_temperature": false,
"temperature_range_description": "5-25°C"
},
"commercial_value": {
"amount": 150357.99,
"currency": "USD"
},
"needs_ad_valorem_insurance": false,
"purchase_order_references": [
4500346155
],
"main_tracking_dates": {
"pickup_date": {
"date": "2021-09-20T10:02:09+01:00"
},
"departure_date": {
"date": "2021-09-20T10:02:09+01:00"
},
"arrival_date": {
"date": "2021-09-20T10:02:09+01:00"
},
"delivery_date": {
"date": "2021-09-20T10:02:09+01:00"
}
},
"booking_information": {
"carrier": "CMA CGM",
"master_bill": "LHV1190703558",
"house_bill": "HOUSEREF12357",
"ocean_booking": {
"booking_number": "TWLEH2106004",
"voyage": "033E",
"vessel": "CMA CGM Jacques Saadé"
},
"air_booking": {
"flight_number": "AF256",
"chargeable_weight": {
"value": 350.25,
"unit": "kg"
}
}
},
"invoice_references": [
"FAC2022-9567"
],
"accepted_quote": {
"id": "325",
"request_date": "2021-09-20T10:02:09+01:00",
"accepted_date": "2021-09-20T10:02:09+01:00"
}
}{}Shipments
Fetch a shipment
Fetch a shipment given its OVRSEA shipment id
Fetch a shipment
Path Parameters
Response
Shipment found
Example:
"June Air Export USA"
Example:
"CDEF"
Available options:
booking_request, awaiting_booking, booked, draft, in_progress, finished, cancelled Example:
"2021-09-20T10:02:09+01:00"
Available options:
exw, fca, fas, fob, cpt, cfr, cif, cip, dap, ddp, dpu, dat Example:
"fob"
Available options:
air, ocean, rail, truck Available options:
fcl, lcl, both Available options:
port_to_door, door_to_port, door_to_door, port_to_port Show child attributes
Show child attributes
Example:
"2021-10-11"
Example:
"2021-10-11"
Optional field containing specific instruction given by the client
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
available, awaiting_invoice, due, paid, partially_paid Show child attributes
Show child attributes
⌘I
